Status: Closed Priority: Normal
Author: nickca Category:
Description: The "use your own config" option in the LinHES Video Setup doesn't seem to do anything. I have my 

xorg.conf in /data/home/mythtv/templates/xorg.user, but whenever I check or uncheck the box, it overwrites 
/etc/X11/xorg.conf with the default configuration file. I found this section in /usr/MythVantage/bin/xconfig.sh: 

            if [ -f "$BASE/data/home/mythtv/templates/xorg.user" ]
            then
                cp -f "$BASE/data/home/mythtv/templates/xorg.user" "$XORG_CONF"
            else

I don't see anywhere where that $XORG_CONF variable is defined. The script sources /etc/profile, but it's not 
in there either.

History
02/27/2009 03:32 pm - jams
It's defined at the bottom of xconfig.sh.
The process appears to work as expected, but I did make a change to the expected location of the user file.
Please update LinHES-config and try again, with the user file in /home/mythtv/templates/xorg.user

X will not restart by itself after xconfig.sh runs  but it will  change xorg.conf.

02/28/2009 07:01 am - nickca
After updating LinHES-config, it now works with the file in /home/mythtv/templates/xorg.user.

Is this going to be the new location for all user-supplied config files going forward? For example, I currently have smb.conf in 
/data/home/mythtv/templates/, and the configuration script still looks for it there after the update.

02/28/2009 01:12 pm - tjc
I was wondering about the location too.  IMO config files that affect the whole system should belong to root and be in some "preserved" directory like 
"/myth/templates". While "/home/mythtv" is backed up and restored that may happen later than is desirable in the general case. A single consistent 
location would also be good.

12/25/2011 03:05 pm - jams
- Target version changed from 7.2 to 6.00.04
